import { HttpException, HttpStatus } from '@nestjs/common';
import { Vista } from './vista.entity';
import { TipoVista } from '../tipo-vista/tipo-vista.entity';
import { Repository } from 'typeorm';
import { CreateVistaDto } from './dto/create-vista.dto';
import { UpdateVistaDto } from './dto/update-vista.dto';
export declare class VistaService {
    private vistaRepository;
    private tipoVistaRepository;
    constructor(vistaRepository: Repository<Vista>, tipoVistaRepository: Repository<TipoVista>);
    getDataAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        tipoVista: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            vista: Vista[];
        };
        id: number;
        nombre: string;
        deleted_at: Date;
        tipo_vista_id: number;
        inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
    }[]>;
    getData(page?: number, limit?: number): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            tipoVista: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                vista: Vista[];
            };
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    searchData(page: number, limit: number, params: any): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            perfil: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                vista: Vista[];
            };
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            tipoVista: TipoVista;
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        perfil: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            vista: Vista[];
        };
        id: number;
        nombre: string;
        deleted_at: Date;
        tipo_vista_id: number;
        tipoVista: TipoVista;
        inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
    }>;
    getDataByTipoVistaId(tipo_vista_id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        tipoVista: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            vista: Vista[];
        };
        id: number;
        nombre: string;
        deleted_at: Date;
        tipo_vista_id: number;
        inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
    }[]>;
    createVista(vista: CreateVistaDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            perfil: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                vista: Vista[];
            };
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            tipoVista: TipoVista;
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateData(id: number, vista: UpdateVistaDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            tipoVista: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                vista: Vista[];
                length: number;
                toString(): string;
                toLocaleString(): string;
                toLocaleString(locales: string | string[], options?: Intl.NumberFormatOptions & Intl.DateTimeFormatOptions): string;
                pop(): TipoVista;
                push(...items: TipoVista[]): number;
                concat(...items: ConcatArray<TipoVista>[]): TipoVista[];
                concat(...items: (TipoVista | ConcatArray<TipoVista>)[]): TipoVista[];
                join(separator?: string): string;
                reverse(): TipoVista[];
                shift(): TipoVista;
                slice(start?: number, end?: number): TipoVista[];
                sort(compareFn?: (a: TipoVista, b: TipoVista) => number): TipoVista & TipoVista[];
                splice(start: number, deleteCount?: number): TipoVista[];
                splice(start: number, deleteCount: number, ...items: TipoVista[]): TipoVista[];
                unshift(...items: TipoVista[]): number;
                indexOf(searchElement: TipoVista, fromIndex?: number): number;
                lastIndexOf(searchElement: TipoVista, fromIndex?: number): number;
                every<S extends TipoVista>(predicate: (value: TipoVista, index: number, array: TipoVista[]) => value is S, thisArg?: any): this is S[];
                every(predicate: (value: TipoVista, index: number, array: TipoVista[]) => unknown, thisArg?: any): boolean;
                some(predicate: (value: TipoVista, index: number, array: TipoVista[]) => unknown, thisArg?: any): boolean;
                forEach(callbackfn: (value: TipoVista, index: number, array: TipoVista[]) => void, thisArg?: any): void;
                map<U>(callbackfn: (value: TipoVista, index: number, array: TipoVista[]) => U, thisArg?: any): U[];
                filter<S extends TipoVista>(predicate: (value: TipoVista, index: number, array: TipoVista[]) => value is S, thisArg?: any): S[];
                filter(predicate: (value: TipoVista, index: number, array: TipoVista[]) => unknown, thisArg?: any): TipoVista[];
                reduce(callbackfn: (previousValue: TipoVista, currentValue: TipoVista, currentIndex: number, array: TipoVista[]) => TipoVista): TipoVista;
                reduce(callbackfn: (previousValue: TipoVista, currentValue: TipoVista, currentIndex: number, array: TipoVista[]) => TipoVista, initialValue: TipoVista): TipoVista;
                reduce<U>(callbackfn: (previousValue: U, currentValue: TipoVista, currentIndex: number, array: TipoVista[]) => U, initialValue: U): U;
                reduceRight(callbackfn: (previousValue: TipoVista, currentValue: TipoVista, currentIndex: number, array: TipoVista[]) => TipoVista): TipoVista;
                reduceRight(callbackfn: (previousValue: TipoVista, currentValue: TipoVista, currentIndex: number, array: TipoVista[]) => TipoVista, initialValue: TipoVista): TipoVista;
                reduceRight<U>(callbackfn: (previousValue: U, currentValue: TipoVista, currentIndex: number, array: TipoVista[]) => U, initialValue: U): U;
                find<S extends TipoVista>(predicate: (value: TipoVista, index: number, obj: TipoVista[]) => value is S, thisArg?: any): S;
                find(predicate: (value: TipoVista, index: number, obj: TipoVista[]) => unknown, thisArg?: any): TipoVista;
                findIndex(predicate: (value: TipoVista, index: number, obj: TipoVista[]) => unknown, thisArg?: any): number;
                fill(value: TipoVista, start?: number, end?: number): TipoVista & TipoVista[];
                copyWithin(target: number, start: number, end?: number): TipoVista & TipoVista[];
                entries(): ArrayIterator<[number, TipoVista]>;
                keys(): ArrayIterator<number>;
                values(): ArrayIterator<TipoVista>;
                includes(searchElement: TipoVista, fromIndex?: number): boolean;
                flatMap<U, This = undefined>(callback: (this: This, value: TipoVista, index: number, array: TipoVista[]) => U | readonly U[], thisArg?: This): U[];
                flat<A, D extends number = 1>(this: A, depth?: D): FlatArray<A, D>[];
                [Symbol.iterator](): ArrayIterator<TipoVista>;
                [Symbol.unscopables]: {
                    [x: number]: boolean;
                    length?: boolean;
                    toString?: boolean;
                    toLocaleString?: boolean;
                    pop?: boolean;
                    push?: boolean;
                    concat?: boolean;
                    join?: boolean;
                    reverse?: boolean;
                    shift?: boolean;
                    slice?: boolean;
                    sort?: boolean;
                    splice?: boolean;
                    unshift?: boolean;
                    indexOf?: boolean;
                    lastIndexOf?: boolean;
                    every?: boolean;
                    some?: boolean;
                    forEach?: boolean;
                    map?: boolean;
                    filter?: boolean;
                    reduce?: boolean;
                    reduceRight?: boolean;
                    find?: boolean;
                    findIndex?: boolean;
                    fill?: boolean;
                    copyWithin?: boolean;
                    entries?: boolean;
                    keys?: boolean;
                    values?: boolean;
                    includes?: boolean;
                    flatMap?: boolean;
                    flat?: boolean;
                    [Symbol.iterator]?: boolean;
                    readonly [Symbol.unscopables]?: boolean;
                    at?: boolean;
                };
                at(index: number): TipoVista;
            };
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
            perfil?: string;
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
